summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/prepalldocs
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/prepalldocs')
-rwxr-xr-xbin/ebuild-helpers/prepalldocs7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/ebuild-helpers/prepalldocs b/bin/ebuild-helpers/prepalldocs
index fdc735d6f..540d02500 100755
--- a/bin/ebuild-helpers/prepalldocs
+++ b/bin/ebuild-helpers/prepalldocs
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
@@ -8,8 +8,9 @@ if [[ -n $1 ]] ; then
vecho "${0##*/}: invalid usage; takes no arguments" 1>&2
fi
-cd "${D}"
-[[ -d usr/share/doc ]] || exit 0
+case "$EAPI" in 0|1|2) ED=${D} ;; esac
+
+[[ -d ${ED}usr/share/doc ]] || exit 0
ecompressdir --ignore /usr/share/doc/${PF}/html
ecompressdir --queue /usr/share/doc